import type { TdAvatarGroupProps, TdAvatarProps } from './type';
import './style';
export * from './type';
export declare type AvatarProps = TdAvatarProps;
export declare type AvatarGroupProps = TdAvatarGroupProps;
export declare const Avatar: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./avatar").AvatarInstance, {
    isImgExist: boolean;
    gap: number;
    scale: string;
}, {
    handleImgLoadError(context: {
        e: Event;
    }): void;
    setScaleParams(): void;
    isCustomSize(): boolean;
}, {
    sizeValue: string;
    customAvatarSize: import("..").Styles;
    customImageSize: import("..").Styles;
    customCharacterSize: import("..").Styles;
}, {
    alt: string;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    hideOnLoadFailed: boolean;
    icon: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    image: string;
    imageProps: import("..").TdImageProps;
    shape: import("./type").ShapeEnum;
    size: string;
    onError: (context: {
        e: Event;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./avatar").AvatarInstance, {
    isImgExist: boolean;
    gap: number;
    scale: string;
}, {
    handleImgLoadError(context: {
        e: Event;
    }): void;
    setScaleParams(): void;
    isCustomSize(): boolean;
}, {
    sizeValue: string;
    customAvatarSize: import("..").Styles;
    customImageSize: import("..").Styles;
    customCharacterSize: import("..").Styles;
}, {
    alt: string;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    hideOnLoadFailed: boolean;
    icon: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    image: string;
    imageProps: import("..").TdImageProps;
    shape: import("./type").ShapeEnum;
    size: string;
    onError: (context: {
        e: Event;
    }) => void;
}>>;
export declare const AvatarGroup: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, unknown, {
    renderEllipsisAvatar(children: import("vue/types/vnode").ScopedSlotReturnValue[]): import("vue/types/vnode").ScopedSlotReturnValue[];
    setEllipsisContent(children: import("vue/types/vnode").ScopedSlotReturnValue[]): any;
    isIcon(): boolean;
}, unknown, {
    cascading: import("./type").CascadingValue;
    collapseAvatar: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    max: number;
    popupProps: import("..").TdPopupProps;
    size: string;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, unknown, {
    renderEllipsisAvatar(children: import("vue/types/vnode").ScopedSlotReturnValue[]): import("vue/types/vnode").ScopedSlotReturnValue[];
    setEllipsisContent(children: import("vue/types/vnode").ScopedSlotReturnValue[]): any;
    isIcon(): boolean;
}, unknown, {
    cascading: import("./type").CascadingValue;
    collapseAvatar: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    max: number;
    popupProps: import("..").TdPopupProps;
    size: string;
}>>;
export default Avatar;
